OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

2 Pages V   1 2 >  
Reply to this topicStart new topic
> Gplflash 2, [working], Slow, but work!
anunakin
post Jan 13 2006, 03:16 PM
Post #1





Group: Members
Posts: 340
Joined: 22-August 04
From: Belem, Brasil
Member No.: 4,358



Read more above...

http://gplflash.sourceforge.net/cgi-bin/mo...gi/BuildFromCvs


Any help?

On Zaurus
CODE
...
checking for X... libraries /usr/X11R6/lib, headers
checking for XOpenDisplay in -lX11... no
checking X11/XKBlib.h usability... yes
checking X11/XKBlib.h presence... yes
checking for X11/XKBlib.h... yes
configure: error: *** cannot find X11 development files


On PC
CODE
...
checking for jpeglib.h... yes
checking for X... libraries /opt/cross/arm/3.4.5-xscale-softvfp/armv5tel-cacko-linux/lib, headers /opt/cross/arm/3.4.5-xscale-softvfp/armv5tel-cacko-linux/include
checking for XOpenDisplay in -lX11... no
checking X11/XKBlib.h usability... yes
checking X11/XKBlib.h presence... yes
checking for X11/XKBlib.h... yes
configure: error: *** cannot find X11 development files
Go to the top of the page
 
+Quote Post
dtruchan
post Jan 14 2006, 09:22 PM
Post #2





Group: Members
Posts: 89
Joined: 15-February 04
From: NJ
Member No.: 1,738



Specifiy --x-includes and --x-libraries to configure.
Then it builds fine.
Go to the top of the page
 
+Quote Post
anunakin
post Jan 16 2006, 04:10 AM
Post #3





Group: Members
Posts: 340
Joined: 22-August 04
From: Belem, Brasil
Member No.: 4,358



QUOTE(dtruchan @ Jan 15 2006, 05:22 AM)
Specifiy --x-includes and --x-libraries to configure.
Then it builds fine.
*


I using this ./configure on PC:
CODE
./configure --host=armv5tel-cacko-linux --build=i686-linux --x-includes=/opt/cross/arm/3.4.5-xscale-softvfp/armv5tel-cacko-linux/include --x-libraries=/opt/cross/arm/3.4.5-xscale-softvfp/armv5tel-cacko-linux/lib --prefix=/usr --with-plugin-dir=/usr/lib/firefox/lib/firefox-1.5/plugins
Go to the top of the page
 
+Quote Post
adf
post Jan 16 2006, 11:34 AM
Post #4





Group: Members
Posts: 2,821
Joined: 13-September 04
From: Wasilla Ak.
Member No.: 4,572



did it work?

if it did work, and seems to test out, post it?

This is an important plugin
Go to the top of the page
 
+Quote Post
anunakin
post Jan 16 2006, 11:44 AM
Post #5





Group: Members
Posts: 340
Joined: 22-August 04
From: Belem, Brasil
Member No.: 4,358



QUOTE(adf @ Jan 16 2006, 07:34 PM)
did it work?

if it did work, and seems to test out, post it?

This is an important plugin
*


Dont work I got the errors on firt msg on topic
CODE
configure: error: *** cannot find X11 development files
Go to the top of the page
 
+Quote Post
karlto
post Jan 16 2006, 01:37 PM
Post #6





Group: Members
Posts: 343
Joined: 3-October 05
From: NZ
Member No.: 8,243



QUOTE(anunakin @ Jan 17 2006, 08:44 AM)
Dont work I got the errors on firt msg on topic
CODE
configure: error: *** cannot find X11 development files

*


I presume you've checked that the required files exist in your cross-compiler directories (as above)? One of the copies I have is missing those libraries (could be the one for compiling the kernel...?)
Go to the top of the page
 
+Quote Post
dtruchan
post Jan 16 2006, 07:04 PM
Post #7





Group: Members
Posts: 89
Joined: 15-February 04
From: NJ
Member No.: 1,738



My mistake, it does still fail at that point.
I fudged configure to finish, but make fails while linking with libXxf86vm. sad.gif
Go to the top of the page
 
+Quote Post
Chero
post Jan 16 2006, 11:17 PM
Post #8





Group: Members
Posts: 1,141
Joined: 22-April 04
From: Belgium
Member No.: 2,962



Maybe this xlibs package can help you. It contains some of the xlibs and binaries that aren't included in pdaXrom.

I used it to compile some app that needed more xlibs. (Can't remember which one)

WARNING : startx will be broken. Deleting the "fonts" section in startx will solve this.
WARNING : it's big (6+ Mb)
WARNING : use at your own risk
WARNING : ... (whatever i forgot)

Have fun,
Chero
Go to the top of the page
 
+Quote Post
lardman
post Jan 17 2006, 02:33 AM
Post #9





Group: Members
Posts: 4,515
Joined: 25-October 03
From: Bath, UK
Member No.: 464



The x libs and x header files are often not in the same directory as the other libs and headers. Check where this directory is (I presume you must have it in your build system) and specify the correct paths.

Si
Go to the top of the page
 
+Quote Post
dtruchan
post Jan 19 2006, 06:05 PM
Post #10





Group: Members
Posts: 89
Joined: 15-February 04
From: NJ
Member No.: 1,738



Turns out deps are different for arm. automake sucks. mad.gif
libXxf86vm isn't built with X since it's not needed.

Let me know if it works. unsure.gif
I havn't tried yet.

Attached File  flashplayer.gz ( 567.19K ) Number of downloads: 202

Attached File  libnpflash.so.0.0.0.gz ( 624.51K ) Number of downloads: 214




NOTE:
from README
QUOTE
The standalone player is not completed. It is currently targetted for debugging purpose.
Go to the top of the page
 
+Quote Post
anunakin
post Jan 20 2006, 09:05 AM
Post #11





Group: Members
Posts: 340
Joined: 22-August 04
From: Belem, Brasil
Member No.: 4,358



QUOTE(dtruchan @ Jan 20 2006, 02:05 AM)
Turns out deps are different for arm. automake sucks.  mad.gif
libXxf86vm isn't built with X since it's not needed.

Let me know if it works. unsure.gif
I havn't tried yet.

Attached File  flashplayer.gz ( 567.19K ) Number of downloads: 202

Attached File  libnpflash.so.0.0.0.gz ( 624.51K ) Number of downloads: 214

*


laugh.gif Hey this works, I have flash on my Firefox 1.5, nice! wink.gif cool.gif laugh.gif laugh.gif laugh.gif laugh.gif laugh.gif laugh.gif

THANK YOU!
Go to the top of the page
 
+Quote Post
dtruchan
post Jan 20 2006, 02:16 PM
Post #12





Group: Members
Posts: 89
Joined: 15-February 04
From: NJ
Member No.: 1,738



Excellent!!! biggrin.gif

If you could, please post the steps you took to install it.
Go to the top of the page
 
+Quote Post
wowo123
post Jan 21 2006, 03:42 AM
Post #13





Group: Members
Posts: 81
Joined: 7-August 04
From: Germany
Member No.: 4,222



I have installed libnpflash_so_0_0.0 to ~firefox-1.5/plugins but firefox doesn't recognize it as a plugin. It has a different mime-type. Is flashplayer also needed in this dir or is it only the external player? Any suggestions??
Go to the top of the page
 
+Quote Post
jgardia
post Jan 21 2006, 04:29 AM
Post #14





Group: Members
Posts: 9
Joined: 1-June 04
Member No.: 3,528



QUOTE(wowo123 @ Jan 21 2006, 11:42 AM)
I have installed libnpflash_so_0_0.0 to ~firefox-1.5/plugins but firefox doesn't recognize it as a plugin. It has a different mime-type. Is flashplayer also needed in this dir or is it only the external player? Any suggestions??
*


Did you install Libstdc++.so.5 ?

Good luck,

Jose
Go to the top of the page
 
+Quote Post
wowo123
post Jan 21 2006, 04:48 AM
Post #15





Group: Members
Posts: 81
Joined: 7-August 04
From: Germany
Member No.: 4,222



QUOTE(jgardia @ Jan 21 2006, 12:29 PM)
QUOTE(wowo123 @ Jan 21 2006, 11:42 AM)
I have installed libnpflash_so_0_0.0 to ~firefox-1.5/plugins but firefox doesn't recognize it as a plugin. It has a different mime-type. Is flashplayer also needed in this dir or is it only the external player? Any suggestions??
*


Did you install Libstdc++.so.5 ?

Good luck,

Jose
*



Yes I did (both 5.05 and 5.07)
Go to the top of the page
 
+Quote Post

2 Pages V   1 2 >
Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 21st September 2014 - 10:14 AM